<?php

namespace App\Http\Controllers\frontend;
use App\Http\Controllers\Controller;
use App\Models\Produit;
use App\Models\Categorie;
use App\Models\Media;
use App\Models\Contact;
use App\Models\Promotion;


use Illuminate\Support\Facades\Storage;

use Illuminate\Http\Request;

class ProduitController extends Controller
{

    public function Index($categorieId = null){
        // dd( $categorieId);
      
        if($categorieId != null){
            $produits = Produit::whereRelation('categories', 'categorie_id' ,$categorieId)->paginate(6);
         }
         else{
            $produits = Produit::where('etat','1') ->paginate(6);
      
         }
         $promotions = Promotion::where('etat','1') ->paginate(6);

         $category = Categorie::find($categorieId);
          
         

         $categories = Categorie::where('etat','1')->get();
        $contacts = Contact::where('etat','1')->get();

        
        return view('frontend.produits.produit',compact('produits','categories','contacts','promotions','category'));
    } 
    public function search(){

        $categories = Categorie::where('etat','1')->get();
        $contacts = Contact::where('etat','1')->get();
        
        $q = request()->input('q');

        
          $produits = Produit::where('nom','like',"%$q%")
          ->where('etat',true)
          ->orwhere('description','like',"%$q%")
          ->paginate(6);
      

        return view('frontend.produits.search' , compact('produits','categories','contacts'));
    }

    public function show ($id){

         
        $produit = Produit::find($id);
          
        $contacts = Contact::where('etat','1')->get();
        $promotions = Promotion::where('produit_id',$id)->get();


        $categories = Categorie::where('etat','1')->get();

        $diapos=Media::where('produit_id','=',$produit->id)->get();
       
        if ($produit->document != null) {
            
 
            $size = Storage::size('document/'.$produit->document); 
            $file_size = $size * 0.0009765625; 
            $sizeFile = number_format($file_size,0);
            
            $infoPath = pathinfo(public_path('document/'.$produit->document));
            $extension = $infoPath['extension'];
            
            return view('frontend.produits.details',compact('produit','diapos','extension','sizeFile','contacts','categories','promotions'));
        }
        
  

        return view('frontend.produits.details',compact('produit','diapos','contacts','categories','promotions'));


    }
}
